///
/// A 2-d bounding box
///

#ifndef __BOX_H__
#define __BOX_H__

#include "Position.h"

class Box {

 protected:
  /// Define box by: upper-left corner, horizontal length, vertical length.
  Position corner;
  int horizontal;
  int vertical;

 public:
  // Create a box with an upper-left corner, horizontal and veritcal sizes
  // (defaults are (0,0) for the corner and 0 for horizontal and veritcal).
  Box();
  Box(Position init_corner, int init_horizontal, int init_vertical);

  ~Box();

  Position getCorner();
  void setCorner(Position new_corner);
  int getHorizontal();
  void setHorizontal(int new_horizontal);
  int getVertical();
  void setVertical(int new_vertical);
};

#endif //__BOX_H__

